Opened 10 years ago

Closed 7 weeks ago

#77 closed defect (migrated)

cbc 2.2.2: Assertion fail in ClpSimplexDual::updateDualsInDual()

Reported by: tfahle Owned by: forrest
Priority: major Component: component1
Version: Keywords:
Cc:

Description

We run cbc 2.2.2 on linux. CBC is configured with --enable-debug, compiled with gcc 4.1.2. Starting cbc on miplib2003::arkin001.mps with "-rins on -import ~/arki001.mps -branchandC" we receive an assertion:

cbcd: ClpSimplexDual?.cpp:1957: int ClpSimplexDual::updateDualsInDual(CoinIndexedVector?*, CoinIndexedVector?*, CoinIndexedVector?*, double, double&, bool): Assertion `fabs(movement)<1.0e30' failed.

This occurs after about 112000 nodes.

I've attached a file containing screenoutput, call-stack and info about gcc and cbc

Let me know if you need more information

Attachments (1)

cbc_arki001_assert.txt (20.4 KB) - added by tfahle 10 years ago.

Download all attachments as: .zip

Change History (3)

Changed 10 years ago by tfahle

comment:1 Changed 10 years ago by forrest

  • Owner changed from somebody to forrest
  • Status changed from new to assigned

Can get a different error with 2.3. I think it is fixed in trunk but will check

comment:2 Changed 7 weeks ago by stefan

  • Resolution set to migrated
  • Status changed from assigned to closed

This ticket has been migrated to GitHub and will be resolved there: https://github.com/coin-or/Cbc/issues/77

Note: See TracTickets for help on using tickets.